Class | Rack::Session::Cookie
In: | lib/action_controller/vendor/rack-1.0/rack/session/cookie.rb
Parent: | Object

Rack::Session::Cookie provides simple cookie based session management. The session is a Ruby Hash stored as base64 encoded marshalled data set to :key (default: rack.session). When the secret key is set, cookie data is checked for data integrity.

Example:

        use Rack::Session::Cookie, :key => 'rack.session',
                                   :domain => 'foo.com',
                                   :path => '/',
                                   :expire_after => 2592000,
                                   :secret => 'change_me'

        All parameters are optional.

### Methods

call new

### Public Class methods

new(app, options={})

### Public Instance methods

call(env)

[Validate]